de.esprit.netsuite.client.abo

## Class ABOListModel

- java.lang.Object
- - javax.swing.AbstractListModel<E>
  - - javax.swing.DefaultListModel<E>
    - - de.esprit.common.gui.ZListModel
      - - de.esprit.netsuite.client.gui.ClientListModel
        - - de.esprit.netsuite.client.abo.ABOListModel

- All Implemented Interfaces:
    ClientObject, java.io.Serializable, javax.swing.ListModel

      public class ABOListModel
      extends ClientListModel

  This ListModel contains currently accessed AliveBusinessObjects.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.AbstractListModel

      `listenerList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ABOListModel(ClientContext clientCtx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `addABO(AliveBusinessObject abo)`
    `int` | `addItem(int index, java.lang.Object obj)`
    `int` | `addItem(java.lang.Object obj)`
    `void` | `clear()`
    `AliveBusinessObject` | `findByPrimaryKey(PrimaryKey pk)`
    `AliveBusinessObject` | `getABO(int index)`
    `void` | `removeABO(AliveBusinessObject abo)`
    `void` | `removeItem(int index)`
    `int` | `removeItem(java.lang.Object obj)`
    `void` | `setItem(int index, java.lang.Object obj)`

    - ### Methods inherited from class de.esprit.netsuite.client.gui.ClientListModel

      `getClientContext`

    - ### Methods inherited from class de.esprit.common.gui.ZListModel

      `addItems, addItems, fireContentsChanged, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getAllItems, getComparator, getElementAt, getFirstItem, getItem, getItem, getItemCount, getLastItem, getModifyFlag, isModified, isNumb, isSortAscending, load, loadFrom, loadFrom, replaceItem, replaceOrAddItem, setComparator, setModified, setModifyFlag, setNumb, setSortAscending`

    - ### Methods inherited from class javax.swing.DefaultListModel

      `add, addElement, capacity, contains, copyInto, elementAt, elements, ensureCapacity, firstElement, get, getSize, indexOf, indexOf, insertElementAt, isEmpty, lastElement, lastIndexOf, lastIndexOf, remove, removeAllElements, removeElement, removeElementAt, removeRange, set, setElementAt, setSize, size, toArray, toString, trimToSize`

    - ### Methods inherited from class javax.swing.AbstractListModel

      `addListDataListener, getListDataListeners, getListeners, removeListDataListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ABOListModel

          public ABOListModel(ClientContext clientCtx)

  - ### Method Detail

    - #### getABO

          public AliveBusinessObject getABO(int index)

    - #### addABO

          public int addABO(AliveBusinessObject abo)

    - #### removeABO

          public void removeABO(AliveBusinessObject abo)

    - #### findByPrimaryKey

          public AliveBusinessObject findByPrimaryKey(PrimaryKey pk)

    - #### clear

          public void clear()

      Overrides:
        `clear` in class `ZListModel`

    - #### removeItem

          public int removeItem(java.lang.Object obj)

      Overrides:
        `removeItem` in class `ZListModel`

    - #### removeItem

          public void removeItem(int index)

      Overrides:
        `removeItem` in class `ZListModel`

    - #### setItem

          public void setItem(int index,
                     java.lang.Object obj)

      Overrides:
        `setItem` in class `ZListModel`

    - #### addItem

          public int addItem(java.lang.Object obj)

      Overrides:
        `addItem` in class `ZListModel`

    - #### addItem

          public int addItem(int index,
                    java.lang.Object obj)

      Overrides:
        `addItem` in class `ZListModel`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.